#ifndef _PUZZLE_H_
#define _PUZZLE_H_

/* constraints */
#define CUBE        0    /* 1 arg: cube for which next contraints are defined */
#define TOUCH       1    /* 1 arg: which cube it touches */
#define ALIGNED     2    /* 2 args: which cubes it is aligned to */
#define NOT_ALIGNED 3    /* 2 args: which cubes it is not aligned to */
#define ORDER       4    /* 2 args: 1st cube is lower than 2nd */
#define LEFT        5    /* 3 args: center, first end vector, second end vector */
#define VEC         6    /* 3 args: 1st end vector, 2nd end vector, start */

/* NORMALIZE must come first */
#define NORMALIZE   10   /* 3 args: points at (0,0,0), (0,0,1), (0, 1, 1) */

/* puzzle 1 */
extern int *puzzle_1;

/* puzzle 2 */
extern int *puzzle_2;

/* puzzle 3 */
extern int *puzzle_3;

#endif /* _PUZZLE_H_ */
